package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevRunData;
import com.inspect.metadata.montdata.mapper.BasedataMontPatDevRunDataMapper;
import com.inspect.metadata.montdata.service.IBasedataMontPatDevRunDataService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BasedataMontPatDevRunDataServiceImpl implements IBasedataMontPatDevRunDataService {
    @Resource
    private BasedataMontPatDevRunDataMapper basedataMontPatdevrundataMapper;

    public BasedataMontPatDevRunData selectBasedataMontPatDevRunDataByMontPatDevRunDataId(Long montPatDevRunDataId) {
        return this.basedataMontPatdevrundataMapper.selectBasedataMontPatDevRunDataByMontPatDevRunDataId(montPatDevRunDataId);
    }

    public List<BasedataMontPatDevRunData> selectBasedataMontPatDevRunDataList(BasedataMontPatDevRunData basedataMontPatdevrundata) {
        return this.basedataMontPatdevrundataMapper.selectBasedataMontPatDevRunDataList(basedataMontPatdevrundata);
    }

    public int insertBasedataMontPatDevRunData(BasedataMontPatDevRunData basedataMontPatdevrundata) {
        return this.basedataMontPatdevrundataMapper.insertBasedataMontPatDevRunData(basedataMontPatdevrundata);
    }

    public int updateBasedataMontPatDevRunData(BasedataMontPatDevRunData basedataMontPatdevrundata) {
        return this.basedataMontPatdevrundataMapper.updateBasedataMontPatDevRunData(basedataMontPatdevrundata);
    }

    public int deleteBasedataMontPatDevRunDataByMontPatDevRunDataIds(Long[] montPatDevRunDataIds) {
        return this.basedataMontPatdevrundataMapper.deleteBasedataMontPatDevRunDataByMontPatDevRunDataIds(montPatDevRunDataIds);
    }

    public int deleteBasedataMontPatDevRunDataByMontPatDevRunDataId(Long montPatDevRunDataId) {
        return this.basedataMontPatdevrundataMapper.deleteBasedataMontPatDevRunDataByMontPatDevRunDataId(montPatDevRunDataId);
    }
}
